ClientApp/Controllers/ComplexController.cs
using ClientApp.Api;
using COMMON;
using GabAPI.Models.Inputs.Complex;
using GabAPI.Models.Outputs.Complex;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ClientApp.Controllers
{
    public class ComplexController : BaseController
    {
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult AddComplex(InputAddComplex values)
        {

            var item = new Complex
            {
                Title = values.ComplexTitle,
            };

            var token = GetUserToken();
            var apiResult = ApiList.AddComplex(item, token);
            return Content(apiResult);
        }
        public ActionResult ReportGrid()
        {
            var partialViewUrl = "~/Views/Complex/ReportGrid/ReportGrid.cshtml";
            var dataSource = GetReport();
            return PartialView(partialViewUrl, dataSource);

        }

        private OutputGetAllComplexList[] GetReport()
        {

            var token = GetUserToken();
            return ApiList.GetAllComplex(token);
        }
        public ActionResult RemoveComplex(long ComplexID)
        {
            var apiParam = new InputEditComplex
            {
                ComplexID = ComplexID
            };
            var token = GetUserToken();
            var apiResult = ApiList.RemoveComplex(apiParam, token);
            return Content(apiResult);
        }
    }
}

ClientApp/Views/Complex/Index.cshtml
@{
    ViewBag.Title = "افزودن بازار جدید";
}
@section scripts
{
    <script src="~/DX.ashx?jsfile=~/Views/Complex/JS/Index.js"></script>
}

<div class="row">
    @{ Html.RenderPartial("~/Views/Complex/AddForm/AddForm.cshtml"); }
    <div class="col-xs-12 col-md-9">
        <section class="app__section">
            <div class="app__section__header">
                لیست بازارها
            </div>
            <div class="app__section__body">
                @*@{ Html.RenderPartial("~/Views/User/FilterForm/FilterForm.cshtml"); }*@
                <form class="app__grid-wrapper" id="reportGridParent">
                    @{ Html.RenderAction("ReportGrid", "Complex"); }
                </form>
            </div>
        </section>
    </div>
</div>